Bug 185614 - editors/openoffice-4 does not configure, dbus-deps missing
Summary: editors/openoffice-4 does not configure, dbus-deps missing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-09 19:10 UTC by cjr
Modified: 2014-02-20 15:03 UTC (History)
0 users

See Also:


Attachments
file.diff (1.40 KB, patch)
2014-01-09 19:10 UTC, cjr
no flags Details | Diff
openoffice-4-dbus.patch (1.41 KB, patch)
2014-01-17 12:15 UTC, cjr
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cjr 2014-01-09 19:10:00 UTC
When building the port editors/openoffice-4 on a clean system, such as for example poudriere, the port fails at the configure state with following excerpt from apache-openoffice-4.0.1.log:

checking for GTK... yes
checking for GTHREAD... yes
checking for GTK_2_10... yes
checking whether to enable DBUS support... yes
checking for DBUS... no
configure: error: Package requirements (dbus-glib-1 >= 0.70 ) were not met:

Package dbus-glib-1 was not found in the pkg-config search path.
Perhaps you should add the directory containing `dbus-glib-1.pc'
to the PKG_CONFIG_PATH environment variable
Package 'dbus-glib-1', required by 'world', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables DBUS_CFLAGS
and DBUS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
===>  Script "configure" failed unexpectedly.
Please report the problem to office@FreeBSD.org [maintainer] and attach the
"/wrkdirs/usr/ports/editors/openoffice-4/work/aoo-4.0.1/main/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** [do-configure] Error code 1

Stop in /usr/ports/editors/openoffice-4.
===>  Cleaning for apache-openoffice-4.0.1
build of /usr/ports/editors/openoffice-4 ended at Thu Jan  9 11:35:04 ART 2014
build time: 00:23:17

Fix: apply attached patch with an extra option DBUS

Patch attached with submission follows:
How-To-Repeat: compile editors/openoffice-4 in poudriere

I am really amazed that this has not occured before, so I am not entirely sure if I analysed the issue correctly
Comment 1 Edwin Groothuis freebsd_committer 2014-01-09 19:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 cjr 2014-01-17 12:15:03 UTC
I have re-patched (included) against REV 1 of editors/openoffice-4

Cheers,
-- 
Christopher
TZ:         GMT + 1h
GnuPG/GPG:  0xE8DE2C14
 
FreeBSD 9.2-STABLE #1 r256184: Thu Oct 10 19:12:54 CEST 2013
cjr@dijkstra.cruwe.de:/usr/obj/usr/home/cjr/media/src/freebsd/base/stable/9/sys/GEN_WDTRACE 
  
Punctuation matters:
"Lets eat Grandma." or "Lets eat, Grandma." - Punctuation saves lives.
"A panda eats shoots and leaves." or "A panda eats, shoots, and
leaves." - Punctuation teaches proper biology.

"With sufficient thrust, pigs fly just fine. However, this is not
necessarily a good idea. It is hard to be sure where they are going to
land, and it could be dangerous sitting under them as they fly
overhead." (RFC 1925)
Comment 3 cjr 2014-01-23 22:17:16 UTC
As MAINTAINER has timed out anyway, I cc freebsd-ports@.

As of at least svn path=/head/; revision=340861, the problem of dbus
not being pulled by editors/openoffice-4 disappears.

I do not believe compilation without dbus has any practical
relevance. I suggest to close the PR.

-- 
Christopher J. Ruwe, Dipl.-Kfm. u. M.Comp.Sc.
TZ:         GMT + 1h
GnuPG/GPG:  0xE8DE2C14
 
FreeBSD 9.2-STABLE #1 r256184: Thu Oct 10 19:12:54 CEST 2013
cjr@dijkstra.cruwe.de:/usr/obj/usr/home/cjr/media/src/freebsd/base/stable/9/sys/GEN_WDTRACE 
  
Punctuation matters:
"Lets eat Grandma." or "Lets eat, Grandma." - Punctuation saves lives.
"A panda eats shoots and leaves." or "A panda eats, shoots, and
leaves." - Punctuation teaches proper biology.

"With sufficient thrust, pigs fly just fine. However, this is not
necessarily a good idea. It is hard to be sure where they are going to
land, and it could be dangerous sitting under them as they fly
overhead." (RFC 1925)
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2014-02-20 15:03:25 UTC
State Changed
From-To: open->closed

Submitter reported that his original problem goes away.